Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.xmlbeans
Class XmlBeansType

    java.lang.Object
      org.codehaus.xfire.aegis.type.Type
          org.codehaus.xfire.xmlbeans.XmlBeansType

All Implemented Interfaces:
  SchemaType

    public class XmlBeansType

extends Type

Since:
  Nov 13, 2004
Author:
  Dan Diephouse

Constructor Summary
`XmlBeansType()`
`XmlBeansType(java.lang.Class clazz)`
`XmlBeansType(org.apache.xmlbeans.SchemaType schemaType)`

Method Summary
`java.util.Set` | `getDependencies()` Return a set of Type dependencies.
`javax.xml.namespace.QName` | `getSchemaType()` The schema type that this SchemaType represents.
`boolean` | `isAbstract()` Whether or not this a complexType or a concrete element.
`boolean` | `isComplex()` Whether or not this a complex type.
`boolean` | `isWriteOuter()`
`java.lang.Object` | `readObject(MessageReader mreader, MessageContext context)`
`void` | `writeObject(java.lang.Object value, MessageWriter writer, MessageContext context)`
`void` | `writeSchema(org.codehaus.yom.Element root)` Write the type schema (if complex) to the element.

Methods inherited from class org.codehaus.xfire.aegis.type.Type
`equals, getTypeClass, getTypeMapping, hashCode, isNillable, setAbstract, setNillable, setSchemaType, setTypeClass, setTypeMapping`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlBeansType

    public XmlBeansType()

### XmlBeansType

    public XmlBeansType(org.apache.xmlbeans.SchemaType schemaType)

### XmlBeansType

    public XmlBeansType(java.lang.Class clazz)

Method Detail

### writeSchema

    public void writeSchema(org.codehaus.yom.Element root)

  Description copied from interface: `SchemaType`
  Write the type schema (if complex) to the element.

  Specified by:
    `writeSchema` in interface `SchemaType`
  Overrides:
    `writeSchema` in class `Type`

### isComplex

    public boolean isComplex()

  Description copied from interface: `SchemaType`
  Whether or not this a complex type. If true then the schema for this type is written out.

  Specified by:
    `isComplex` in interface `SchemaType`
  Overrides:
    `isComplex` in class `Type`
  Returns:
    True if a complex type schema must be written.

### isAbstract

    public boolean isAbstract()

  Description copied from interface: `SchemaType`
  Whether or not this a complexType or a concrete element.

  Specified by:
    `isAbstract` in interface `SchemaType`
  Overrides:
    `isAbstract` in class `Type`
  Returns:

### isWriteOuter

    public boolean isWriteOuter()

  Overrides:
    `isWriteOuter` in class `Type`

### getDependencies

    public java.util.Set getDependencies()

  Description copied from class: `Type`
  Return a set of Type dependencies. Returns null if this type has no dependencies.

  Specified by:
    `getDependencies` in interface `SchemaType`
  Overrides:
    `getDependencies` in class `Type`
  Returns:

### getSchemaType

    public javax.xml.namespace.QName getSchemaType()

  Description copied from interface: `SchemaType`
  The schema type that this SchemaType represents.

  Specified by:
    `getSchemaType` in interface `SchemaType`
  Overrides:
    `getSchemaType` in class `Type`
  Returns:
    Get the schema type.

### readObject

    public java.lang.Object readObject(MessageReader mreader,
                                       MessageContext context)
                                throws XFireFault

  Specified by:
    `readObject` in class `Type`
  Throws:
    `XFireFault`

### writeObject

    public void writeObject(java.lang.Object value,
                            MessageWriter writer,
                            MessageContext context)
                     throws XFireFault

  Specified by:
    `writeObject` in class `Type`
  Throws:
    `XFireFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.